Type to search.

Update Comment

Auth

Updates a Comment.

Path parameters

resource_type string required

The kind of Resource that a Comment belongs to. Should be one of [elasticsearch, kibana, apm, appsearch, enterprise_search, integrations_server, allocator, constructor, runner, proxy].

resource_id string required

Id of the Resource that a Comment belongs to.

comment_id string required

Id of a Comment

Query parameters

version string

If specified then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)

Request body

The Comment update data.

message string required

The message for the Comment.

Responses

Comment updated successfully.

application/json
id string required

The id of this Comment

user_id string required

The user id of the user who wrote this Comment

message string required

The message content of this Comment

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)